Skip to main content
POST
Mute or Time Out a User in a Broadcast Chat
This route is deprecated. Use Mute a Chat User (POST /2/broadcasts/chat/mutes) instead.
Prevents a user from posting chat messages in the broadcaster’s chat. The mute applies to all of the broadcaster’s broadcasts, not only the broadcast identified by :id. :id is the alphanumeric broadcast_id of a live broadcast. It only identifies whose chat you are moderating: the broadcast owner’s. The authenticated user must be the broadcast owner or a chat moderator for the broadcast owner. When a moderator calls this endpoint, the mute applies to the chat of the owner they moderate for. See List Broadcast Moderators for how moderators are managed. Pass an optional end_at_ms in the request body to time the mute out at a specific Unix timestamp in milliseconds. Omit end_at_ms to mute the user indefinitely. Pass an optional message_id in the request body to remove a specific chat message at the same time. This is useful when muting is in response to a particular message.
To reverse this, use Unmute a Chat User. To see who the broadcaster has muted, use List Muted Chat Users. To remove an individual message without muting its author, use Delete a Chat Message.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

broadcast.read

View your live broadcasts and their chat.

broadcast.write

Manage your live broadcasts and send chat messages on your behalf.

Path Parameters

id
string
required
Pattern: ^[a-zA-Z0-9]{1,24}$

Body

application/json
user_id
string
required

The user to mute.

Pattern: ^[1-9][0-9]{0,18}$
end_at_ms
string

The Unix timestamp in milliseconds when the mute expires. Omit this field to mute indefinitely.

Pattern: ^[1-9][0-9]{0,18}$
message_id
string

A chat message to remove while muting the user.

Pattern: ^[1-9][0-9]{0,18}$

Response

The request has succeeded.

data
object
errors
object[]